#
# spec file for package xfce4-panel-plugin-diskperf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-diskperf-plugin
Name:           xfce4-panel-plugin-diskperf
Version:        2.5.5
Release:        4.2
Summary:        Disk Performance Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-diskperf-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/2.5/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The DiskPerf plugin displays the disk/partition performance as trasferred data
per second.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libdiskperf.so
%{_datadir}/xfce4/panel/plugins/diskperf.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Mar  3 2015 gber@opensuse.org
- update to version 2.5.5
  - use the new GtkTooltip API
  - fix a memory leak in the FreeBSD codepath (bxo#11153)
  - add support for FreeBSD (bxo#10350)
  - updated translations
* Sun Jul  1 2012 gber@opensuse.org
- update to version 2.5.4
  - better compliance with panel plugin HIG
  - use double values for progress bars
  - facilitate bringing up the configuration dialog
  - fix transparency
* Mon May 14 2012 gber@opensuse.org
- update to version 2.5.3
  - use newer tooltip API
  - make tooltip strings translatable and MB->MiB string updates
  - always update progress bars even if stats are unavailable
  - improve multirow panel support
* Sun Apr 29 2012 gber@opensuse.org
- update to version 2.5.2
  - gracefully handle device that are not present and show
    statistics only when the device is plugged
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sat Apr 14 2012 gber@opensuse.org
- update to version 2.5.1
  - translation updates
* Tue Apr 10 2012 gber@opensuse.org
- update to version 2.5.0
  - build the plugin as a module, loadable by Xfce4's panel wrapper
  - use an icon name compliant to the spec
* Tue Apr  3 2012 gber@opensuse.org
- update to version 2.4.0
  - port to libxfce4ui
  - Port to panel 4.9
  - Fix translations
  - explicitely link with libm
- drop obsolete xfce4-diskperf-plugin-fix-libm-underlinking.patch
  and xfce4-panel-plugin-diskperf-fix-transparency-colors.patch
- specfile cleanup
- correct dependencies
* Mon Sep 19 2011 gber@opensuse.org
- removed unrelated autoconf from the underlinking patch which
  broke the build on older releases
- added xfce4-panel-plugin-diskperf-fix-transparency-colors.patch
  which fixes transparency and bar colors (backported from upstream
  git)
* Sun Sep 18 2011 crrodriguez@opensuse.org
- Link with libm as well.
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
